| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingComposite Class Reference
Utililty classes

The PendingComposite class is a PendingOperation that can be used to track multiple pending operations at once. More...

`#include <TelepathyQt/PendingComposite>`

Inherits Tp::PendingOperation.

## Public Member Functions

| PendingComposite (const QList< PendingOperation * > &operations, const SharedPtr< RefCounted > &object)
| PendingComposite (const QList< PendingOperation * > &operations, bool failOnFirstError, const SharedPtr< RefCounted > &object)
| ~PendingComposite ()
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingComposite class is a PendingOperation that can be used to track multiple pending operations at once.

## Constructor & Destructor Documentation

Tp::PendingComposite::PendingComposite | ( | const QList< PendingOperation * > & | operations,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingComposite::PendingComposite | ( | const QList< PendingOperation * > & | operations,
|  | bool | failOnFirstError,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingComposite::~PendingComposite | ( |  | ) |